summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-11-21 21:23:36 +0100
committerMichał Górny <mgorny@gentoo.org>2015-11-21 21:26:14 +0100
commit98fddc692c99dffe3c2be0cde88d44b582158c82 (patch)
tree69c0aa8804434ba1c0ea419d4fa2a7e6d56b5e96 /eclass/games-mods.eclass
parentnet-wireless/inspectrum: minor version bump, fix repoman warnings (diff)
downloadgentoo-98fddc692c99dffe3c2be0cde88d44b582158c82.tar.gz
gentoo-98fddc692c99dffe3c2be0cde88d44b582158c82.tar.bz2
gentoo-98fddc692c99dffe3c2be0cde88d44b582158c82.zip
[QA] games-mods.eclass: Forbid EAPIs 3+ due to missing code, #540048
Forbid using EAPIs other than 0, 1 & 2 in the games-mods.eclass since the eclass misses conditionals for other EAPIs and therefore any ebuild using it with a newer EAPI would break terribly. Bug: https://bugs.gentoo.org/540048
Diffstat (limited to 'eclass/games-mods.eclass')
-rw-r--r--eclass/games-mods.eclass2
1 files changed, 2 insertions, 0 deletions
diff --git a/eclass/games-mods.eclass b/eclass/games-mods.eclass
index 7cefa45b0fbb..faf267b62499 100644
--- a/eclass/games-mods.eclass
+++ b/eclass/games-mods.eclass
@@ -9,6 +9,8 @@
# MOD_DIR - Subdirectory name for the mod, if applicable
# MOD_ICON - Custom icon for the mod, instead of the default
+[[ ${EAPI:-0} == [012] ]] || die "EAPI ${EAPI} not supported"
+
inherit eutils games
EXPORT_FUNCTIONS src_install pkg_postinst